mct.cpp File Reference
`#include "grk_includes.h"`
`#include <hwy/foreach_target.h>`
`#include <hwy/highway.h>`

## Classes

class | grk::HWY_NAMESPACE::DecompressDcShiftIrrev
| Apply dc shift for irreversible decompressed image. More...
class | grk::HWY_NAMESPACE::DecompressDcShiftRev
| Apply dc shift for reversible decompressed image (assumes mono with no MCT) input and output buffers are both 32 bit integer. More...
class | grk::HWY_NAMESPACE::DecompressRev
| Apply MCT with optional DC shift to reversible decompressed image. More...
class | grk::HWY_NAMESPACE::DecompressIrrev
| Apply MCT with optional DC shift to irreversible decompressed image. More...
class | grk::HWY_NAMESPACE::CompressRev
| Apply MCT with optional DC shift to reversible compressed image. More...
class | grk::HWY_NAMESPACE::CompressIrrev
| Apply MCT with optional DC shift to irreversible compressed image. More...

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.
namespace | grk::HWY_NAMESPACE

## Macros

#define | HWY_TARGET_INCLUDE "point_transform/mct.cpp"

## Functions

| HWY_BEFORE_NAMESPACE ()
template<class T >
void | grk::HWY_NAMESPACE::vscheduler (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_compress_rev (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_compress_irrev (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_decompress_rev (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_decompress_irrev (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_decompress_dc_shift_irrev (ScheduleInfo info)
void | grk::HWY_NAMESPACE::hwy_decompress_dc_shift_rev (ScheduleInfo info)
| HWY_AFTER_NAMESPACE ()

## Macro Definition Documentation

## HWY_TARGET_INCLUDE

#define HWY_TARGET_INCLUDE "point_transform/mct.cpp"

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |